import React from "react";
import { RouteDefinition } from "../../interfaces/route-definition";
import { AuthenticatedRoute } from "../../interfaces/authenticated-route";
interface NestedRouteProps extends AuthenticatedRoute {
    route: RouteDefinition;
}
/**
 * Dynamically renders a route and its subroutes, accounting
 * for additional custom properties on RouteDefinition
 */
declare const NestedRoute: React.FC<NestedRouteProps>;
export { NestedRoute, NestedRouteProps };
